
Figure - Bug #114515
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】在应用不在通知白名单的情况下，能够在设置-应用-通知页面对应用通知设置进行
开关
2022-12-12 18:06 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-12

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212100316

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Reproducibility: Every time Fixed Version: 2022-12-13

Test Type: IT Root cause: 应用通知设置没有过滤白名单和系统应用，现在把没有在白名单的三方应用的通知设置入口隐藏了

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-应用页面

2、在最近打开的应用中，随机选择一个

3、点击通知

4、观察出现的页面

【预期结果】

4、页面中的通知开关按钮被锁定，无法开关

【实际结果】

4、能够在应用-通知页面对应用通知设置进行开关

History

#1 - 2022-12-13 09:57 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2022-12-13 16:31 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution deleted (--)

- Degrated changed from -- to No

- Fixed Version set to 2022-12-13

- Root cause set to 乐播投屏在SDK初始化时,注册服务监听回调事件.验证SKD服务,根据官方文档解释:乐播投屏SDK需要License认证才能使用。在第一

步SDK集成之后，必须设置License认证接口(设置服务发布状态监听)，否则正常使用投屏功能。如果license校验失败, 会在IServerListener的回调方法里收到

相关信息.在收到信息后乐播投屏会使用Toast展示连接信息,由于prd没有此要求,所有把toast换为Log

#3 - 2022-12-13 19:11 - CD FW-程天颖

- Status changed from RESOLVED to ASSIGNED
- Assignee changed from CD TEST-方永红 to CD FW-程天颖

- % Done changed from 100 to 40

- Degrated deleted (No)

- Root cause deleted (乐播投屏在SDK初始化时,注册服务监听回调事件.验证SKD服务,根据官方文档解释:乐播投屏SDK需要License认证才能使用。在第一

步SDK集成之后，必须设置License认证接口(设置服务发布状态监听)，否则正常使用投屏功能。如果license校验失败, 会在IServerListener的回调方法里收到

相关信息.在收到信息后乐播投屏会使用Toast展示连接信息,由于prd没有此要求,所有把toast换为Log)

#4 - 2022-12-13 19:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169918 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings:Fixed the Notifications page toggles app notification settings on and offTC-RID: 1201-0201803IssueID: TS-R-BUG-114515Change-Id:

I270f1e9276cc81bd842418da9e886c8bd8a7bb87

#5 - 2022-12-13 19:50 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 40 to 100

- Degrated set to No

- Root cause set to 应用通知设置没有过滤白名单和系统应用，现在把没有在白名单的三方应用的通知设置入口隐藏了

■ Current conclusion

Bug is Fixed

■ My analysis

应用通知设置没有过滤白名单和系统应用，现在把没有在白名单的三方应用的通知设置入口隐藏了

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/169918

#6 - 2022-12-13 19:52 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Resolution set to FIXED

#7 - 2022-12-16 19:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

12.16

非 系统应用、通知白名单的应用无法进行通知开关（原生情况除外）

#8 - 2022-12-16 19:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
